#
# spec file for package syslog-ng (Version 1.6.12)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils bison brp-check-internal bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils file filesystem fillup findutils flex gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale gperf grep groff gzip info insserv klogd less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc42 libgomp42 libltdl-3 libmudflap42 libol libol-devel libreadline5 libstdc++42 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg pam pam-modules patch perl perl-base permissions popt post-build-checks rpm sed sysvinit tar tcpd tcpd-devel texinfo timezone util-linux zlib


Name:           syslog-ng
BuildRequires:  bison flex gperf klogd libol-devel tcpd-devel
Version:        1.6.12
Release:        33.4
License:        GPL v2 or later
Group:          System/Daemons
Summary:        The new-generation syslog-daemon
Url:            http://www.balabit.com/products/syslog_ng/
PreReq:         %insserv_prereq %fillup_prereq /sbin/klogd /etc/init.d/syslog
Provides:       syslog
AutoReqProv:    on
Source0:        http://www.balabit.com/downloads/syslog-ng/1.6/src/%{name}-%{version}.tar.gz
Source1:        http://www.balabit.com/downloads/syslog-ng/1.6/src/%{name}-%{version}.tar.gz.asc
Source2:        syslog-ng.pdf
Source3:        syslog-ng.README
Source4:        syslog-ng.logrotate
Source5:        syslog-ng.rc-script
Source6:        syslog-ng.sysconfig
Source7:        syslog-ng.conf.default
#Patch0:         syslog-ng-%{version}.dif
Patch1:         syslog-ng-afunix_no_hostname.dif
Patch2:         syslog-ng-update_own_hostname.dif
Patch3:         syslog-ng-afunix_dest_reconnect.dif
Patch4:         syslog-ng-additional-log-sockets.dif
Patch5:         syslog-ng-handle-line.diff
Patch6:         syslog-ng-filter_checks.dif
Patch7:         syslog-ng-sigaction.dif
Patch8:         syslog-ng-verbose_reload.dif
Patch9:         syslog-ng-summarize.dif
Patch10:        syslog-ng-no-perm-change.dif
Patch11:        syslog-ng-man8.dif
Patch12:        syslog-ng-getpwgrnam-guard.dif
Patch13:        syslog-ng-1.6.12-host-macro-bnc423470.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
syslog-ng is a "new-generation" syslogd (replacement)  for Unix and
Unix-like systems. It tries to fill the gaps in the original syslogd:

* powerful configurability

* filtering based on message content

* portability

* better network forwarding

The official home page of syslog-ng is:
http://www.balabit.hu/products/syslog-ng/

You can report problems via email to the syslog-ng mailing list at
<syslog-ng@lists.balabit.hu>. Support contracts and custom development
is available. Please write for details.



Authors:
--------
    Balzs Scheidler <bazsi@balabit.hu>
    BalaBit IT Ltd. <info@balabit.hu>

%debug_package
%prep
%setup -q -n syslog-ng-%{version}
#%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0
%patch6 -p0
%patch7 -p0
%patch8 -p0
%patch9 -p0
%patch10 -p0
%patch11 -p0
%patch12 -p0
%patch13 -p0
cp -a $RPM_SOURCE_DIR/syslog-ng.conf.default .
%ifarch s390 s390x
    sed -i -e 's/tty10/console/g' syslog-ng.conf.default
%endif
%{?suse_update_config:%{suse_update_config -f}}

%build
##
## build ####################################################
##
export CFLAGS="$RPM_OPT_FLAGS -fPIC"
export LDFLAGS="-pie"
# update configure scripts & tools:
aclocal --force
libtoolize -f
automake --foreign --add-missing --copy --force-missing
autoheader
autoconf
# avoid regeneration of *.x files:
touch src/*.c src/*.x
rm -f src/cfg-grammar.[cho]
rm -f src/cfg-lex.[co]
# ok, lets go:
./configure \
	--prefix=/usr --sbindir=/sbin --sysconfdir=/etc \
	--localstatedir=/var/run --mandir=%{_mandir} \
	--enable-tcp-wrapper
make
install -m644 $RPM_SOURCE_DIR/syslog-ng.pdf doc/sgml/syslog-ng.pdf
tar xvzf doc/sgml/syslog-ng.html.tar.gz  -C doc/sgml
mv doc/sgml/syslog-ng.html                  doc/sgml/html

%install
##
## install ##################################################
##
export RPM_BUILD_ROOT
for dir in sbin/conf.d \
           etc/syslog-ng \
           etc/logrotate.d \
           var/adm/fillup-templates ;
do
  test -d $RPM_BUILD_ROOT/$dir || mkdir -p $RPM_BUILD_ROOT/$dir
done
#
make	prefix=$RPM_BUILD_ROOT/usr \
	sbindir=$RPM_BUILD_ROOT/sbin \
	sysconfdir=$RPM_BUILD_ROOT/etc \
	localstatedir=$RPM_BUILD_ROOT/var/run \
	mandir=$RPM_BUILD_ROOT/%{_mandir} \
	install
#
install -m644 $RPM_SOURCE_DIR/syslog-ng.README README.SuSE
install -m644 syslog-ng.conf.default \
              $RPM_BUILD_ROOT/etc/syslog-ng/syslog-ng.conf
install -m644 $RPM_SOURCE_DIR/syslog-ng.sysconfig \
              $RPM_BUILD_ROOT/var/adm/fillup-templates/sysconfig.syslog-ng
install -m644 $RPM_SOURCE_DIR/syslog-ng.logrotate \
              $RPM_BUILD_ROOT/etc/logrotate.d/syslog-ng

%clean
##
## clean build root #########################################
##
if [ "$RPM_BUILD_ROOT" != "" ] && [ -d $RPM_BUILD_ROOT ] ; then
	rm -rf $RPM_BUILD_ROOT
fi

%post
##
## post install #############################################
##
#
# remove old SYSLOG_NG_* variables from etc/sysconfig/syslog-ng
# and the file itself as well.
# this may cause, that syslog-ng will be disabled, but because
# it is IMHO not possible to check if the syslog-ng init script
# was active _and_ SYSLOG_NG_REPLACE was "yes" _before_ the old
# syslog-ng package was uninstalled... it's IMHO acceptable.
#
%{remove_and_set -n syslog-ng SYSLOG_NG_REPLACE SYSLOG_NG_PARAMS}
if [ -f etc/sysconfig/syslog-ng ] ; then
  # be sure it' away now :-)
  rm -f etc/sysconfig/syslog-ng
fi
#
# add syslog variables provided by klogd if needed
#
%{remove_and_set -n syslog SYSLOG_NG_CREATE_CONFIG}
if test "$SYSLOG_NG_CREATE_CONFIG" == "yes" ; then
cat <<EOF
     Note: SuSEconfig script and its syslog-ng.conf.in template are
           not used any more. Please read README.SUSE for details.
EOF
fi
%{fillup_and_insserv -npy syslog syslog}
%{fillup_and_insserv -npY syslog earlysyslog}
#
# add SYSLOG_NG_* variables if needed
#
%{fillup_only -ans syslog ng}
#
# check if daemon configured in SYSLOG_DAEMON is installed
# and switch to ourself if it's missed
#
source etc/sysconfig/syslog
replace_syslog=no
if test "$SYSLOG_DAEMON" != "syslog-ng" ; then
    if test -z "$SYSLOG_DAEMON" || \
       test ! -x sbin/${SYSLOG_DAEMON} ; then
        replace_syslog=yes
    fi
fi
if test "$replace_syslog" = "yes" ; then
    sed -i -e 's/^SYSLOG_DAEMON=.*/SYSLOG_DAEMON="syslog-ng"/g' \
              etc/sysconfig/syslog
fi
#
# create dirs, touch log default files
#
mkdir -p var/log
touch var/log/messages;  chmod 640 var/log/messages
touch var/log/boot.log;  chmod 640 var/log/boot.log
touch var/log/mail;      chmod 640 var/log/mail
touch var/log/mail.info; chmod 640 var/log/mail.info
touch var/log/mail.warn; chmod 640 var/log/mail.warn
touch var/log/mail.err;  chmod 640 var/log/mail.err
test -f var/log/news && mv -f var/log/news var/log/news.bak
mkdir -p -m 0750 var/log/news
chown news:news  var/log/news
touch var/log/news/news.crit;   chmod 640 var/log/news/news.crit
chown news:news var/log/news/news.crit
touch var/log/news/news.err;    chmod 640 var/log/news/news.err
chown news:news var/log/news/news.err
touch var/log/news/news.notice; chmod 640 var/log/news/news.notice
chown news:news var/log/news/news.notice

%preun
##
## pre uninstall ############################################
##
%stop_on_removal syslog

%postun
##
## post uninstall ###########################################
##
%restart_on_update syslog
%{insserv_cleanup}
# reset SYSLOG_DAEMON variable
if test -f etc/sysconfig/syslog ; then
  source etc/sysconfig/syslog
  if test "$SYSLOG_DAEMON" == "syslog-ng" ; then
    sed -i -e 's/^SYSLOG_DAEMON=.*/SYSLOG_DAEMON=""/g' \
              etc/sysconfig/syslog
  fi
fi

%files
##
## file list ################################################
##
%defattr(-,root,root)
%doc COPYING AUTHORS README ChangeLog INSTALL NEWS
%doc doc/stresstest.sh doc/syslog-ng.conf.{sample,demo}
%doc doc/sgml/syslog-ng.{txt,pdf} doc/sgml/html
%doc README.SuSE $RPM_SOURCE_DIR/syslog-ng.rc-script
%doc $RPM_SOURCE_DIR/syslog-ng.conf.default
%attr(755,root,root) /sbin/syslog-ng
%{_mandir}/man5/syslog-ng.conf.5*
%{_mandir}/man8/syslog-ng.8*
%dir /etc/syslog-ng
%config(noreplace) /etc/syslog-ng/syslog-ng.conf
%config(noreplace) /etc/logrotate.d/syslog-ng
/var/adm/fillup-templates/sysconfig.syslog-ng

%changelog
* Thu Oct 02 2008 - mt@suse.de
- Applied patch provided by Karsten Kuenne fixing segfault in
  host macro expansion when msg->host[_from] is NULL (bnc#423470).
* Tue Aug 19 2008 - mt@suse.de
- Added patch to avoid getpwnam/getgrnam calls with on negative
  values, e.g. on -1 to skip file chown/grp/mod (bnc#414955).
- Fixed typo in syslog-ng-no-perm-change patch that caused an
  attempt to chown/grp/mod files even when the open failed.
* Wed Mar 26 2008 - mt@suse.de
- Bug #358249: Documented -a option in syslog-ng.8 manual page,
  improved sentence about usage without root permissions.
* Wed Oct 31 2007 - mt@suse.de
- Bug #334537: Fixes for acpid filter in syslog-ng.conf
* Mon Jul 30 2007 - mt@suse.de
- Feature #302032: Improved patch adding a global summary(secs)
  option allowing to specify the summary generation frequency
  or disable it by setting summary(0).
  Modified patch file: syslog-ng-summarize.dif
* Tue Jul 24 2007 - mt@suse.de
- Applied a patch allowing to disable permission and ownership
  changes on existing files, when the owner/group/perm option
  in the file/pipe destination definition is set to -1.
  New patch file: syslog-ng-no-perm-change.dif
- Improved acpid null destination in default config to avoid
  /dev/null use at all.
* Tue Jul 24 2007 - coolo@suse.de
- perm(-1) for /dev/null results in a 640 - which breaks almost
  anything else in the system
* Fri Jul 20 2007 - mt@suse.de
- Feature #302032: summarize repeated log messages
- Improved new null destination declaration to use
  pipe driver and not to change any permissions
- Improved class comparization in filter-checks
* Wed Jul 11 2007 - seife@suse.de
- Fix the acpid logging rules (the messages that should have been
  dropped ended up in /var/log/messages).
* Tue Jul 10 2007 - seife@suse.de
- Adopt to the new acpid logging prefix and make acpid logs less
  verbose by default (Bug #290398).
* Wed Jun 06 2007 - mt@suse.de
- Bug #278741: Fixed to use /dev/console instead of /dev/tty10
  on s390(x) in the console destination.
- Removed aaa_base from PreReq (run_suseconfig macro not
  used any more), added /etc/init.d/syslog to PreReq.
* Wed May 30 2007 - mt@suse.de
- Updated to syslog-ng-1.6.12, fixing negation for the netmask()
  filter, increasing hostname buffers to 256 characters, adding
  so_rcvbuf option to adjust the afinet receive buffer, forcing
  log_fifo_size to an minimum of 1000 elements
- Adopted update_own_hostname and afunix_dest_reconnect patches
- Bug #257101: Fix to log parse errors while reload (SIGHUP).
  New patch file: syslog-ng-verbose_reload.dif
- Fixed console destination in default config to use pipe driver,
  disabled permission and ownerships for console and xconsole.
* Mon May 14 2007 - mt@suse.de
- Bug #256671: Added reset of the sysconfig SYSLOG_DAEMON
  variable to "" (autodetect daemon) in rpm postun script.
* Thu Mar 29 2007 - ro@suse.de
- added klogd to BuildRequires
* Thu Mar 29 2007 - rguenther@suse.de
- Add flex BuildRequires.
* Sat Mar 03 2007 - mt@suse.de
- Bug #250562: Fixed to set signal handlers before the config
  and thus the log destinations are initialized to avoid the
  creation of zombie processes when a program (e.g. destination)
  fails to execute, e.g. because apparmor profile prohibits it.
  Changed to use sigaction() instead of the signal() function.
  New patch file: syslog-ng-sigaction.dif
- Cleaned up the syslog-ng-filter_checks patch (fix for #240676).
- Added remote logserver destination example to the config file.
- Moved the allmessages example to the begin to catch all msgs.
* Thu Mar 01 2007 - mt@suse.de
- Bug #249555: Fix for additional log sockets extension; syslog-ng
  dropped messages on the sockets after a config file reload.
  Fixed patch file: syslog-ng-additional-log-sockets.dif
* Wed Feb 28 2007 - mt@suse.de
- Bug #240676: Implemented checks to detect recursive filter
  definitions. New patch file: syslog-ng-filter_checks.dif
* Tue Nov 14 2006 - schwab@suse.de
- Fix crash in handle_*_line.
* Wed Sep 13 2006 - mt@suse.de
- Feature #300891: Remove SuSEconfig dependency of syslog-ng
  * Implemented an extension allowing to pass additional log
  sockets using -a options.
  * Documented it in the README.SuSE file and in the default
  configuration file.
  * Removed SuSEconfig.syslog-ng and it's syslog-ng.conf.in
  and adopted the RPM spec file.
  New patch file: syslog-ng-additional-log-sockets.dif
* Fri Sep 01 2006 - mt@suse.de
- Updated to syslog-ng-1.6.11, providing bugfixes for timezone
  calculations, false messages about permission changes, a
  workaround for lose of one message when connection is broken
  as well as some scalability improvements tunable using the
  time_sleep() global option.
* Mon May 29 2006 - mt@suse.de
- Bug #177961: Added patch to avoid startup failure in case
  the initial connect to a unix socket destination fails.
  Instead, reinit the driver after time_reopen secs (option).
  New patch file: syslog-ng-afunix_dest_reconnect.dif
* Mon Apr 10 2006 - mt@suse.de
- Bug #150052: added aaa_base to RPM PreReq to avoid failure
  of the run_suseconfig macro when yast2 directory installer
  is used (YAST_IS_RUNNING variable isn't set to "instsys").
* Wed Feb 15 2006 - mt@suse.de
- Bug #147748: Added NetworkManager logging rule
- Added /etc/logrotate.d/syslog-ng file providing
  log rotation config for acpid and NetworkManager
- Fixed owner/group inconsistence for news.* files
- Fixed destination for news.notice messages
- Merged syslog-ng.conf.in and syslog-ng.conf.default
* Fri Feb 10 2006 - mt@suse.de
- Bug #116466: update cached hostname on SIGHUP (reload)
  New patch file: syslog-ng-update_own_hostname.dif
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Dec 20 2005 - ro@suse.de
- remove explicit requires for devs
* Fri Dec 09 2005 - seife@suse.de
- add acpid logging rule
* Thu Nov 10 2005 - schwab@suse.de
- Don't strip binaries.
* Mon Jul 25 2005 - aj@suse.de
- Resubmit with fixed changes file.
* Mon Jul 25 2005 - mt@suse.de
- Updated to syslog-ng-1.6.8
- Bug# 98232: added installing of a default config file
  that will be overwritten by SuSEconfig if configured
* Thu Jun 23 2005 - ro@suse.de
- build with fPIC/pie
* Fri Apr 29 2005 - mt@suse.de
- Added gperf to neededforbuild
* Tue Mar 15 2005 - mt@suse.de
- call run_suseconfig macro in rpm post for suse_version > 9.0
  instead a manual SuSEconfig --module syslog-ng
* Thu Mar 10 2005 - mt@suse.de
- increased interval for logging of stats messages to 1 hour
* Tue Mar 08 2005 - mt@suse.de
- Bug #71264: added stop_on_removal/restart_on_removal
  to the spec file
* Fri Feb 11 2005 - mt@suse.de
- fixed rpm post-install script to fillup syslog variables
  provided by klogd package as well
- fixed rpm post-install script to switch SYSLOG_DAEMON to
  ourself if it is set to a daemon that is not installed
  (happens if klogd+syslog-ng are installed on fresh system)
- added klogd to neededforbuild
* Fri Feb 11 2005 - mt@suse.de
- require and use klogd instead of syslogd
- provides "syslog"
* Thu Jan 27 2005 - mt@suse.de
- Feature ID 100044: log firewall (iptables) messages into
  /var/log/firewall and filter them out for messages, warn
  and console destinations.
- Changed config file to better match current syslog.conf:
  changed default permissions from 0600 to 0640,
  added logging into /var/log/mail.{info,warn,err},
  enabled fsync option for /var/log/{warn,mail.err}
* Wed Jan 12 2005 - mt@suse.de
- Applied fixes from 1.6.5+20050112 snapshot (see ChangeLog)
  New patch file: syslog-ng-1.6.5+20050112.dif
* Wed Jan 12 2005 - mt@suse.de
- Bug #49521: workaround to not to interpret tags containing
  spaces as hostname on afunix ($root/dev/log) sources, since
  the syslog(3) function does not send any hostname.
  Old behaviour can be restored using the bad_hostname option
  explicitly set to its default value "^$".
  New patch file: syslog-ng-afunix_no_hostname.dif
* Tue Aug 31 2004 - mt@suse.de
- updated to version 1.6.5
- bug #44364, removed obsolete notify message
* Thu Jul 22 2004 - mt@suse.de
- updated to version 1.6.4
* Wed Feb 11 2004 - mt@suse.de
- updated to version 1.6.2
* Sun Jan 11 2004 - adrian@suse.de
- build as user
* Wed Sep 03 2003 - mt@suse.de
- changed to use absolute path to rcsyslog in SuSEconfig.syslog-ng
- changed to call SuSEconfig --module syslog-ng in spec
* Tue Aug 26 2003 - mt@suse.de
- added yast2 sysconfig metadata Config and ServiceRestart.
- updated to actual stable version 1.6.0rc3
* Fri Jan 31 2003 - mt@suse.de
- removed sysconfig metadata paths - syslogd provides them
- added syslogd to PreReq to make sure, it is installed first
* Thu Jan 23 2003 - mt@suse.de
- updated to 1.4.17 containing macro expansion fixes;
  removed patch: syslog-ng-macro_expansion_length.dif
- added patch fixing exit status returned to the shell
  on daemon initialization failures after fork is done
  new patch file: syslog-ng-daemon_init.dif
- no init-script provided any more, except of a sample
  script for the removed SYSLOG_NG_REPLACE=no feature
- SYSLOG_NG_* variables are in /etc/sysconfig/syslog now
- syslog package will provide the needed init-script;
  syslog-ng now requires sysklogd and syslog (service)
- added SuSEconfig.syslog-ng with support for additional
  log sockets (SYSLOGD_ADDITIONAL_SOCKET*) and added a
  SYSLOG_NG_CREATE_CONFIG="yes" for enabling/disabling
* Fri Oct 18 2002 - mt@suse.de
- changed to use a pre-build syslog-ng.pdf file
- applied patch for length check in macro expansion,
  done by krahmer@suse.de
  new patch file: syslog-ng-macro_expansion_length.dif
* Mon Oct 14 2002 - mt@suse.de
- updated to syslog-ng-1.4.16 -- includes security fix for
  buffer overflow in macro expansion template handling
  see http://www.balabit.hu/static/zsa/ZSA-2002-014-en.txt
* Wed Sep 18 2002 - ro@suse.de
- removed bogus self-provides
* Tue Sep 10 2002 - olh@suse.de
- provides syslog for hotplug
* Mon Aug 19 2002 - mmj@suse.de
- Correct PreReq
* Sun Aug 18 2002 - ro@suse.de
- added ghostscript-x11-packages to neededforbuild (for gs)
* Fri Mar 01 2002 - mt@suse.de
- fixed /dev/log source type to unix-dgram (Bugzilla #13156)
* Wed Feb 27 2002 - mt@suse.de
- fixed udp-source example definition
- added a start-check for to catch exit code on temporary failures
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Thu Jan 31 2002 - ro@suse.de
- added libgimpprint to neededforbuild
* Tue Jan 15 2002 - egmont@suselinux.hu
- removed colons from startup/shutdown messages
* Mon Jan 14 2002 - ro@suse.de
- removed START_SYSLOG_NG
- rest of variables to /etc/sysconfig/syslog-ng
* Wed Oct 31 2001 - mt@suse.de
- updated to 1.4.14 - fixes a problem causing opened unix domain
  sessions to drop during SIGHUP
* Fri Jul 20 2001 - mt@suse.de
- updated to 1.4.12
- fixed run level script to be LSB compliant
- added glib and gppshare to neededforbuild (ghostscript deps)
- added gs -> gs_serv link if not there
* Fri Jul 20 2001 - kukuk@suse.de
- changed neededforbuild <gs_fonts> to <ghostscript-fonts-std>
- changed neededforbuild <gs_lib> to <ghostscript-library>
- changed neededforbuild <gs_serv> to <ghostscript-serv>
* Thu May 03 2001 - mt@suse.de
- added suse_update_config macro in spec
* Thu Apr 26 2001 - mt@suse.de
- changed runlevel script
* Wed Mar 21 2001 - ro@suse.de
- create dir before installing file into it
* Thu Mar 15 2001 - mt@suse.de
- new package, version 1.4.11
